# $Revision: 1.41 $, $Date: 2002/09/16 20:08:40 $
Summary:	Text based browser for the world wide web
Summary(de):	Text-Browser fr das WWW
Summary(es):	w3m es un paginador, pero puede usarse tambin como un navegador WWW
Summary(fr):	Navigateur en mode texte pour le world wide web
Summary(pl):	Przegldarka WWW pracujca w trybie tekstowym
Summary(pt_BR):	O w3m  um paginador, mas pode ser usado tambm como um navegador WWW
Summary(tr):	Metin ekranda WWW tarayc
Name:		w3m
Version:	0.3.1
Release:	2
Epoch:		1
License:	MIT-like
Group:		Applications/Networking
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/w3m/%{name}-%{version}.tar.gz
Patch0:		%{name}-dontresetiso2.patch
Patch1:		%{name}-gzip_fallback.patch
URL:		http://w3m.sourceforge.net/
BuildRequires:	gpm-devel
BuildRequires:	imlib-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	openssl-devel >= 0.9.6a
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

%description -l de
Dies ist ein WWW-Browser auf Terminal-Basis. Whrend kein Versuch
unternommen wird, Grafiken darzustellen, so bietet er doch guten
Support fr HTML-Textformatierung, Formulare und Tabellen.

%description -l es
w3m es un paginador similar a las rdenes more y less. Este paquete
tambin puede utilizarse como un visualizador de pginas WWW en modo
texto.

%description -l fr
Navigateur WWW en mode texte. Bien qu'il n'affiche aucun graphique, il
sait bien grer le formatage HTML du texte, les formulaires et les
tableaux.

%description -l pl
Przegldarka WWW dziaajc w trybie tekstowym. Dobrze formatuje tekst
w HTML, ale nie pozwala na wywietlanie grafiki.

%description -l pt_BR
O w3m  um paginador similar aos comandos more e less. Este pacote
pode ser ainda utilizado como um visualizador de pginas WWW em modo
texto.

%description -l tr
Metin ekranda alan bir WWW taraycdr. ekil gsteremese de,
formlar ve tablolar iin destei vardr.

%package imgdisplay
Summary:	Image display support for w3m
Summary(pl):	Wsparcie dla wywietlania obrazkw dla w3m
Group:		Applications/Networking
Requires:	%{name} = %{version}

%description imgdisplay
Install this package if you want to display images in xterm(!!!) w3m
session.

%description imgdisplay -l pl
Zainstaluj ten pakiet jeli chcesz aby w3m wywietla obrazki w
xtermie(!!!).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
use_ipv6=y; export use_ipv6
./configure <<EOF
%{_bindir}
%{_libdir}/w3m
%{_datadir}/w3m
%{_mandir}
%{_sysconfdir}/w3m
2
y
5
y
y
y
y
n
y
y
y
y
y
y
y
/bin/vi
%{_prefix}/X11R6/bin/netscape
%{__cc}
%{rpmcflags}
-lncurses
%{rpmldflags}
EOF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install install-helpfile DESTDIR=$RPM_BUILD_ROOT

# symlink instead of duplicated file
ln -sf w3mhelp-lynx_en.html $RPM_BUILD_ROOT%{_datadir}/w3m/w3mhelp.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.html doc/{README,keymap,menu}.* NEWS
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/w3m
%attr(755,root,root) %{_libdir}/w3m/*.cgi
%attr(755,root,root) %{_libdir}/w3m/inflate
%attr(755,root,root) %{_libdir}/w3m/w3mbookmark
%attr(755,root,root) %{_libdir}/w3m/w3mhelperpanel
%attr(755,root,root) %{_libdir}/w3m/xface2xpm
%dir %{_datadir}/w3m
%{_datadir}/w3m/w3mhelp.html
%{_datadir}/w3m/w3mhelp*en.*
%lang(ja) %{_datadir}/w3m/w3mhelp*ja.*
%{_datadir}/w3m/w3mhelp-funcname.pl
%{_mandir}/man1/*.1*
%lang(ja) %{_mandir}/ja/man1/*.1*

%files imgdisplay
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/w3m/w3mimgdisplay
%attr(755,root,root) %{_libdir}/w3m/w3mimgsize

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: w3m.spec,v $
Revision 1.41  2002/09/16 20:08:40  qboosh
- oops, really release 2

Revision 1.40  2002/09/16 19:58:49  qboosh
- fixed ja man page location, release 2

Revision 1.39  2002/09/03 21:51:09  qboosh
- updated to 0.3.1

Revision 1.38  2002/07/03 12:53:33  juandon
- added gzip_fallback.patch
- Release 3

Revision 1.37  2002/05/04 19:34:29  qboosh
- cleanup, fixed typos

Revision 1.36  2002/05/03 21:16:07  filon
- splitted into packages main and imgdisplay
- (img display requires X11, main not)
- removed TODO :-)
- release 2, STBR

Revision 1.35  2002/04/29 21:54:12  qboosh
- fixed configure options and ipv6 build on v4-only host, noted TODO

Revision 1.34  2002/04/29 19:45:43  filon
- updated to version 0.3 (it can display images in xterm!!!)
- updated configure parameters, STBR

Revision 1.33  2002/03/01 06:31:15  kloczek
- release 2.

Revision 1.32  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.31  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:15:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2002/01/17 21:14:36  kloczek
- merge translations from Conectiva.

Revision 1.28  2002/01/17 20:35:16  filon
- updated to 0.2.4
- fixed docs
- fixed file attrs
- removed obsolette config andd ssl-degv patches

Revision 1.27  2001/12/24 23:13:05  qboosh
- 0.2.3.2 (some bug fixes), updated URLs and patches, fixed License
- ipv6 patch: build with v6 support on builders w/o v6 in kernel too

Revision 1.26  2001/11/04 09:26:41  orzech
- rel 2 is back - STB ASAP (current package doesn't fit to distro's
  resources)

Revision 1.25  2001/11/04 07:19:47  orzech
- release 3, STB

Revision 1.24  2001/07/19 16:21:31  qboosh
- fixed SEGV on exit after browsing https://
- added %%lang(ja) to Japanese help files
- release 2

Revision 1.23  2001/05/11 20:33:31  misiek
typos

Revision 1.22  2001/05/11 20:26:03  misiek
updated to 0.2.1

Revision 1.21  2001/05/09 02:13:33  kloczek
- release 3: rebuild against openssl 0.9.6a.

Revision 1.20  2001/04/05 22:40:04  qboosh
- patch to not reset terminal to iso-8859-1 on exit - it was really annoying
- release 2

Revision 1.19  2001/04/04 22:18:02  qboosh
- not-constant patch - fix for compilation problem
- use %%rpmcflags instead of RPM_OPT_FLAGS

Revision 1.18  2001/03/23 01:12:39  kloczek
- updated to 0.2.0 but dio not stb because compilation fails.

Revision 1.17  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.16  2000/07/13 23:29:03  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.15  2000/06/21 13:18:56  kloczek
- removed dumb %attr() in %build (bug in adapter.awk).

Revision 1.14  2000/06/21 13:12:30  kloczek
- updated to 0.1.10,
- spec adapterized,
- added JP_CHARSET with fix compile w3m fi support for JP characters is
  disabled.

Revision 1.13  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/04 00:37:17  kloczek
- updated to 0.1.9,
- added gpm support.
TODO: fix IPv6 detction.

Revision 1.11  2000/04/10 17:44:48  mis
- removed duplicated group lines

Revision 1.10  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.8  2000/01/28 12:43:44  kloczek
- spec adapterized,
- added "Provides: webclient".

Revision 1.7  2000/01/28 12:31:14  wiget
0.1.6

Revision 1.6  1999/12/21 23:04:46  wiget
- changed for new openssl
- some new version

Revision 1.5  1999/11/19 04:00:14  kloczek
- updated to 991028,
- build agains ncurses 5.0.

Revision 1.4  1999/11/09 07:20:03  kura
- changed Group to Applications/Networking
- fixed pl translation

Revision 1.3  1999/10/27 07:00:39  kloczek
- more cvs tags.

Revision 1.2  1999/10/20 21:12:43  kloczek
- simplifications in %files.

Revision 1.1  1999/10/20 06:17:56  waszi
- initial release
